
      integer nwave
      integer n
      real k                    !" $BGH?t(B($BF~NO(B)
      
      character filename*24

      do 10 nw = 1,6

         nwave = nw

         if (nw.eq.1) then                !" for east-gravity(n=0)

            n  = 0
            nl = 0

            do nk = 1, 31

               nl = nl + 1
               k  = 0.0 + 0.1*(nk-1)

               if (nl.lt.10) then
                  filename='e-gravity-para-0 .dat' 
                  write(filename(17:17),'(i1)') nl
               else
                  filename='e-gravity-para-  .dat' 
                  write(filename(16:17),'(i2)') nl
               end if

               open (11, file=filename)
               write(11,*) '&para1 nwave=', nwave
               write(11,*) '       n=', n
               write(11,'(1x,a9,f3.1)') '       k=', k
               write(11,*) '&end'
               close(11) 

            end do

         else if (nw.eq.2) then           !" for east-gravity(n$B!b(B0)

            nl = 0

            do nlog = 2,3

               n = nlog-1

               do nk=1,31

                  nl = nl + 1
                  k = 0.0 + 0.1*(nk-1)

                  if (nl.lt.10) then
                     filename='e-gravity2-para-0 .dat' 
                     write(filename(18:18),'(i1)') nl
                  else
                     filename='e-gravity2-para-  .dat' 
                     write(filename(17:18),'(i2)') nl
                  end if

                  open (11, file=filename)
                  write(11,*) '&para1 nwave=', nwave
                  write(11,*) '       n=', n
                  write(11,'(1x,a9,f3.1)') '       k=', k
                  write(11,*) '&end'
                  close(11) 

               end do

            end do

         else if (nw.eq.3) then           !" for mixed-rossby(n=0)

            n  = 0
            nl = 0
            
            do nk=1,31

               nl = nl + 1
               k = 0.0 + 0.1*(nk-1)

                  if (nl.lt.10) then
                     filename='mixed-rossby-para-0 .dat' 
                     write(filename(20:20),'(i1)') nl
                  else
                     filename='mixed-rossby-para-  .dat' 
                     write(filename(19:20),'(i2)') nl
                  end if

                  open (11, file=filename)
                  write(11,*) '&para1 nwave=', nwave
                  write(11,*) '       n=', n
                  write(11,'(1x,a9,f3.1)') '       k=', k
                  write(11,*) '&end'
                  close(11) 

            end do
            
         else if (nw.eq.4) then           !" for west-gravity(n$B!b(B0)

            nl = 0

            do nlog = 2,3

               n = nlog-1

               do nk=1,31

                  nl = nl + 1
                  k = 0.0 + 0.1*(nk-1)

                  if (nl.lt.10) then
                     filename='w-gravity2-para-0 .dat' 
                     write(filename(18:18),'(i1)') nl
                  else
                     filename='w-gravity2-para-  .dat' 
                     write(filename(17:18),'(i2)') nl
                  end if

                  open (11, file=filename)
                  write(11,*) '&para1 nwave=', nwave
                  write(11,*) '       n=', n
                  write(11,'(1x,a9,f3.1)') '       k=', k
                  write(11,*) '&end'
                  close(11) 

               end do

            end do

         else if (nw.eq.5) then           !" for Kelvin

            n  = -1
            nl = 0

            do nk=1,31

               nl = nl + 1
               k = 0.0 + 0.1*(nk-1)

               if (nl.lt.10) then
                  filename='kelvin-para-0 .dat' 
                  write(filename(14:14),'(i1)') nl
               else
                  filename='kelvin-para-  .dat' 
                  write(filename(13:14),'(i2)') nl
               end if

               open (11, file=filename)
               write(11,*) '&para1 nwave=', nwave
               write(11,*) '       n=', n
               write(11,'(1x,a9,f3.1)') '       k=', k
               write(11,*) '&end'
               close(11) 

            end do

         else if (nw.eq.6) then           !" for Rossby

            nl = 0

            do nlog = 2,3

               n = nlog-1

               do nk=1,31

                  nl = nl + 1
                  k = 0.0 + 0.1*(nk-1)

               if (nl.lt.10) then
                  filename='rossby-para-0 .dat' 
                  write(filename(14:14),'(i1)') nl
               else
                  filename='rossby-para-  .dat' 
                  write(filename(13:14),'(i2)') nl
               end if

               open (11, file=filename)
               write(11,*) '&para1 nwave=', nwave
               write(11,*) '       n=', n
               write(11,'(1x,a9,f3.1)') '       k=', k
               write(11,*) '&end'
               close(11) 

               end do

            end do

         end if

 10   continue

      stop
      end
